%define DATE 19990825
%define version 1.1.2
%define kderelease 61mdk
%define sourcedir stable/1.2/distribution/tar/generic/source
%define ver 1.1.2

%define compiler gcc
%define qtver  qt >= 1.44

%define kdename kdebase
%define pamservice kde

Name: %{kdename}
Summary: K Desktop Environment - core files
Version: %{version}
Release: %{kderelease}
Source: {sourcedir}/%{kdename}-1.1.2.tar.bz2
Source1: KDE.session.gnome
Source3: kdeapps-mdk.tar.bz2
Source7: mdk-scripts.tar.bz2
Source8: kdeadmin.tar.bz2
Source10: kde-pixmaps.tar.bz2
Source11: kdm-pixmaps.tar.bz2
Source12: kdebase.menumethod
# (fg) Go figure, make install will not install kwmrc, so it is now a source...
Source13: kwmrc

# (fg) Menu entries reworked
Source14: kdebase_menuentries
Source15: kdebase.menumethod.directory

Patch: kdebase-1.1-redhat.patch.bz2
Patch1: konsole-hotkeys.diff.bz2
Patch2: kdebase-1.1-mdkdm.patch.bz2
Patch3: kdebase-1.1-kvtkon.patch.bz2
Patch4: ftp://ftp.de.kde.org/pub/kde/security_patches/saver.cpp.patch.bz2
Patch8: kdebase-1.1-kthemegr.patch.bz2

Patch10: kdebase-1.1-perkdelnk.patch.bz2
Patch11: kdebase-1.1-startkde.patch.bz2
Patch12: kdebase-1.1-lowcolor.patch.bz2
Patch13: %{name}-991110.patch.bz2
Patch14: kdebase-1.1-kdehelp.patch.bz2
Patch15: kdebase-noverbose.patch.bz2
Patch16: kdebase-1.1-kfmTemplatesNotOnDesktop.patch.bz2
Patch17: kdebase-1.1-kdmlang.patch.bz2
Patch18: kdebase-1.1-deadkey.patch.bz2

# (fg) Yet Another Patch added 20000309, no HTML view in KFM by default - kwmrc
# is now in its own source as the make install won't install it, see above.
Patch19: kdebase-basesettings.patch.bz2

# (fg) Patch to fix a bug in automoc perl script - newer perls seem to be
# stricter wrt r/o variables. Credits to Pixel.
Patch20: kdebase-automoc-fix.patch.bz2

# (fg) Yes, another patch! Due to the new menu system, the default kpanel
# configuration would fail because it didn't find its kdelnks anymore...
Patch21: kdebase-panel-icons.patch.bz2

# (fg) keycode 115 on Sun keyboards matches... the dot key
Patch50: kdebase-1.1-startkde-no-windows-keys.patch.bz2

# (fl) fix the naming of mtype or __mtype according to __USE_GNU in kdehelp
patch51: kdebase-fix-mtype.patch.bz2

Patch100: kdebase-kdm-user500.patch.bz2
patch101: kdebase-kdm-stderr.patch.bz2
Patch102: kdebase-silent.patch.bz2

# fix kcontrol to look in KDE directory instead of Settings
Patch103: kdebase-kcontrol-path.patch.bz2

# (gc) Home/End keys now produce standard Linux sequences "^[1~" and "^[4~"
Patch104: kdebase-1.1-konsole-fix-home-end.bz2

# changes color background for kdm to an uniform color. dam's 25/04/2000
Patch105: kdebase-kdm_color.patch.bz2

# (chmou): various caldera for kdm patchs.
Patch106: kdebase-1.1-waitkdm.patch.bz2
Patch107: kdebase-1.1.1-shutdown.patch.bz2

# (dam's): patch to browse tar 1.13.x files. 27/04/2000
# no need to launch kappfinder in startkde
Patch108: kdebase-1.1-tar.patch.bz2
Patch109: kdebase-1.1-startkde_no_kappfinder.patch.bz2
Patch110: kdebase.no_kvt.patch.bz2

Group: Graphical desktop/KDE
Copyright: GPL/Artistic
BuildRoot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport mandrake_desk >= 1.0.1 libz.so.1
Prereq: /usr/X11R6/bin/mkfontdir XFree86 menu >= 2.1.5-15mdk
BuildRequires: kdelibs kdelibs-devel
%ifarch alpha
BuildRequires: egcs libtool
%endif

%description
Core applications for the K Desktop Environment.
Included are:  kdm (replacement for xdm), kwm (window manager), kfm
(filemanager, web browser, ftp client, ...), konsole (xterm replacement),
kpanel (application starter and desktop pager), kaudio (audio server),
kdehelp (viewer for kde help files, info and man pages), plus other KDE
components (kcheckpass, kikbd, kvt, kscreensaver, kcontrol, kfind,
kfontmanager, kmenuedit, kappfinder).

PAM password authentication is supported via PAM service: kde.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch -p1 -b .redhat
%patch1 -p1 -b .hotkeys
%patch2 -p0 -b .mdkdm
%patch3 -p0 -b .kvtkon
%patch4 -p1 -b .savsecurity
%patch8 -p0 -b .kthemegr
%patch10 -p0 -b .perkdelnk
%ifnarch sparc sparc64
%patch11 -p0 -b .startkde
%else
%patch50 -p0
%endif
%patch12 -p0 -b .lowcolor
%patch13 -p1
%patch14 -p0 -b .kdehelp
%patch15 -p0
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1

%patch100 -p0
%patch101 -p0
%patch102 -p0
%patch103 -p0
%patch104 -p0

%patch105 -p1

%patch106 -p1
%patch107 -p1

%patch108 -p0
%patch109 -p0
%patch110 -p1

%patch51 -p0

%build
%ifarch alpha
libtoolize --force
%endif

export KDEDIR=/usr
#rm -rf po/ja # Sorry, but po/ja has a broken Makefile. The easiest fix is always the best... ;)
#perl -p -i -e "s/ja //" po/Makefile.am
make -f Makefile.cvs

%ifarch alpha
CXX="g++ -V `egcs-version`"
%else
CXX="g++"
%endif

CC=%{compiler} CXX="$CXX" CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure  \
	--prefix=/usr \
	--with-pam=%{pamservice}  \
	--with-install-root=$RPM_BUILD_ROOT  \
        --disable-rpath \
        --with-xdmdir=/etc/X11/xdm 

uname -a|grep -qi smp && make -j 2 || make

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
make RUN_KAPPFINDER=no install

# remove duplicate icons
rm -f $RPM_BUILD_ROOT/usr/share/icons/mini/mini.*

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
cp konsole/other/linux*.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc

#
tar xvyf %{SOURCE7}
cd mdk-scripts
perl -p -i -e 's|\@KDEPREFIX\@|/usr|' *

install -d $RPM_BUILD_ROOT/usr/bin
# (fg) 20000404: huh, mode was 754 before!
install -m 0755  usekde $RPM_BUILD_ROOT/usr/bin
install -m 0755  kdesetup $RPM_BUILD_ROOT/usr/bin

install -d $RPM_BUILD_ROOT/etc/profile.d
install -m 0755 kde.sh $RPM_BUILD_ROOT/etc/profile.d/kde.sh
install -m 0755 kde.csh $RPM_BUILD_ROOT/etc/profile.d/kde.csh

# remove unsupported control center information services
cd $RPM_BUILD_ROOT/usr/share/applnk/Settings/Information
rm -f partitions.kdelnk

cd $RPM_BUILD_ROOT/usr/share/config
install -m 644 $RPM_BUILD_DIR/kdebase-1.1.2/kdm/config/kdmrc.in \
	$RPM_BUILD_ROOT/usr/share/config/kdmrc-temp
sed -e "s.^#LogoPixmap=@KDEDIR@.LogoPixmap=/usr." kdmrc-temp > kdmrc
rm -f kdmrc-temp

# Remove icons and add link (we take them from mandrake_desk).
bzcat %{SOURCE11}|tar xf - -C $RPM_BUILD_ROOT/usr/share/apps/kdm/pics/users/

#install PAM configuration file
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 0644 $RPM_BUILD_DIR/kdebase-1.1.2/kde.pamd $RPM_BUILD_ROOT/etc/pam.d/%{pamservice}

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/
tar xvyf %{SOURCE10} -C $RPM_BUILD_ROOT/usr/share/icons

(
cd $RPM_BUILD_ROOT/usr/share/apps/kappfinder/
rm -rf apps
bzcat %{SOURCE3}|tar xv
)



# install gdm session support
mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/KDE

mkdir -p $RPM_BUILD_ROOT/{etc/menu-methods,usr/lib/menu}
install -m755 %{SOURCE12} $RPM_BUILD_ROOT/etc/menu-methods/kdebase
install -m755 %{SOURCE15} $RPM_BUILD_ROOT/etc/menu-methods/kdebase.directory

# (fg) Menu entries
install -m644 %{SOURCE14} $RPM_BUILD_ROOT/usr/lib/menu/kdebase

# (fg) Delete MIME type for MP3, bundled with kmp3 package - even though kmp3
# sucks, this MIME type had better be associated to xmms instead
rm -f $RPM_BUILD_ROOT/usr/share/mimelnk/audio/x-mp3.kdelnk

# (fg) Uh! Also get rid from kappfinder and kappfiner_restart
rm -f $RPM_BUILD_ROOT/usr/bin/kappfinder*
rm -Rf $RPM_BUILD_ROOT/usr/share/apps/kappfinder/

# (fg) Finally, install kwmrc where appropriate
install -m644 %{SOURCE13} $RPM_BUILD_ROOT/usr/share/config/kwmrc

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkfontdir /usr/X11R6/lib/X11/fonts/misc
[ -z "$DISPLAY" ] && true || xset fp rehash

[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

%postun

if [ "$1" = 0 ]; then
     [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

%files
%defattr(-,root,root,755) 
# (fg) Menu entries
%config /etc/menu-methods/kdebase
%config /etc/menu-methods/kdebase.directory
/usr/lib/menu/kdebase
%dir /usr/share/icons
/usr/share/icons/*xpm
%dir /usr/share/icons/large
/usr/share/icons/large/*xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/*xpm
%dir /usr/share/apps
/usr/share/apps/*
%dir /usr/share/config
/usr/share/config/*
%dir /usr/share/mimelnk
/usr/share/mimelnk/*
%dir /usr/share/wallpapers
/usr/share/wallpapers/*
%dir /usr/share/sounds
/usr/share/sounds/*
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/*
/usr/bin/*
%dir /usr/lib/cgi-bin
/usr/lib/cgi-bin/*
%dir /usr/doc/kde/HTML/*
%doc /usr/doc/kde/HTML/*/*
%config /etc/profile.d/*
%config /etc/pam.d/kde
#/etc/X11/gdm/Sessions/KDE

%changelog
* Fri May 05 2000 dam's <damien@mandrakesoft.com> 1.1.2-61mdk
- Removed Console mode entry of kdm (changed patch from caldera)

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 1.1.2-60mdk
- Corrected K Control panel entry.

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 1.1.2-59mdk
- Changed (again) kdm color to gradient.

* Thu May 04 2000 dam's <damien@mandrakesoft.com> 1.1.2-58mdk
- Corrected konsole entry in panel
- Corrected konsole menu entry

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-57mdk
- relaunch kpanel at the end of the menu method.

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.1.2-56mdk
- Removed kvt.
- Updated kpanel kdelnk.

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.1.2-55mdk
- Corrected kvt menu entry.

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 1.1.2-54mdk
- Added fndSession call in post and postun
- Corrected menu entries
- Corrected menu method

* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 1.1.2-53mdk
- Corrected menu entries.
- added tar patch (108).
- added strartkde_no_kappfinder patch: removes kappfinder calls in startkde
* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 1.1.2-52mdk
- Corrected menu entries and menu method : added command_kde

* Wed Apr 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-51mdk
- Add Caldera Kdm patchs.

* Tue Apr 25 2000 dam's <damien@mandrakesoft.com> 1.1.2-50mdk
- Changed kdm color.

* Tue Apr 25 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.2-49mdk
- Fixed menu again

* Fri Apr 21 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.2-48mdk
- change path of menu for made compliant with kcontrol-center

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.2-47mdk
- home/end keys in konsole patch

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 1.1.2-46mdk
- remove kdm icon

* Mon Apr 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-45mdk
- added icons for Settings sections.
- fixed compile problem in kdehelp.

* Tue Apr 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-44mdk
- corrected .directory method.
- kcontrol: look for config in /usr/share/applnk/KDE/Settings directory.
- fixed menu entries to conform to the new policy.

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-43mdk
- added support for .directory in menu method.

* Tue Apr 04 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-42mdk

- Really put in kwmrc
- kdesupport's desktop?rc files now come here

* Mon Apr 03 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-41mdk

- Panel recovers its icons
- Removed kappfinder patch

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-40mdk
- refresh the desktop at the end of the menu method.
- fixed rpmlint warnings.
- updated menu method for l10n.
- put entries in root menu instead of Applications.

* Thu Mar 30 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-39mdk

- Requires: libz.so.1
- Menu entries reworked
- kappfinder patch not needed anymore
- Typo fixes
- Small changes to kdebase.menumethod

* Thu Mar 23 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-38mdk

- Some spec file fixes
- New menu entries
- Don't use autogenerated file list
- Removed MP3 MIME type - package kmp3 comes with it

* Tue Mar 21 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-37mdk

- Changed group to match 7.1 specs


* Fri Mar 10 2000 Francis Galiegue <francis@mandrakesoft.com> 1.1.2-36mdk

- No HTML view by default in kfm
- box-like resize and move for kwm

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-35mdk
- added menu support.

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-34mdk
- Add patch from Alain Daurat <daurat@llaic3.u-clermont1.fr> to have
  dead keys on kdm.

* Thu Jan 20 2000 Francis Galiegue <francis@mandrakesoft.com> 1.1.2-33mdk

- No Windows keys on Sparc keyboards

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix for alpha (use egcs instead of gcc-2.95.2)

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force added for alpha

* Fri Jan  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-30mdk

- remove "KiKbd: X11 error: BadWindow" warning messages.

* Tue Jan 04 2000 Franois PONS <fpons@mandrakesoft.com>
- updated by convert some .xpm provided in kd?-pixmaps.tar.bz2

* Fri Dec 31 1999 Pixel <pixel@mandrakesoft.com>
- remove nasty chmouhack

* Wed Dec 29 1999 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-27mdk

- use /etc/X11/xdm to look for xdm config files.
- files in /etc marked as conffiles.
- kdm stderr redirected to errorLogFile.

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- ln users-icons  to the mandrake_desk icons.

* Fri Dec 24 1999 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-24mdk

- display users with uid >= 500 and root
- new pixmap mandrake-logo-xdm.xpm.

* Mon Dec 20 1999 Franois PONS <fpons@mandrakesoft.com>
- modified kdmrc to take into account default language (pacth17).

* Sun Dec 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- move fndSession to mandrake_desk.

* Fri Dec 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add new icons for hd*(Gal).
- New kdm logo (Helene).
- * Thu Dec  9 1999 Pixel <pixel@mandrakesoft.com>
- reRebuild with the right Mesa.
- removed depends on hwizard

* Thu Dec  9 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with the right Mesa.

* Wed Dec  8 1999 John Corey <jcorey@mandrakesoft.com>
- Re-enable including of audio mimetypes

* Wed Dec  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Depends of hwizard.
- Install hd icons.
- Don't _always_ ask question at first time.

* Sun Nov 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 1.1.2.14mdk
- Insert patch from Vincent SAUGEY <vincent@mandrakesoft.com> :
    - Correct a bug of the kdehelp center application (main tranlated page)
- (Chmouel: BuildRequires: kdelibs-devel)

* Thu Nov 11 1999 John Corey <jcorey@mandrakesoft.com>
- Merge with latest fixes from CVS.

* Fri Oct 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cooker build
- I dont know if it our /usr/bin/install or what but i'm pretty sick of "make install-strip"s that don't bloody work (disabled us a macro)

* Thu Sep 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinsert the icons of kde-1.1.2.
- compile with a good kapps.h (and good KDE_VERSION)

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing the -pre1.
- Add Xfce in fndSession.

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add stuff/patchs from Mosfet <mosfet@mandrakesoft.com>

* Tue Aug 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reprefixing to -pre1.
- Add patch to kthemgr to write config files.

* Wed Aug 25 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990825.

* Tue Aug 24 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990824.

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Argh to forget to include a patch :-((((((

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Patch startkde to Initialise the Windows key to the (Xfree) "Menu" modifer.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Argh, sed sucks to do substition (it's not me it's from RedHat ;)) Viva perl
  :).
- Fix building as user.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Insert scrips here from kde as suggested by david.

* Mon Aug  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to copy Mandrake links.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix the broken pam authentification.

* Thu Jul 15 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.1.2 CVS snapshot
- remove security bugfix (the bug was fixed in base)

* Fri Jun 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to fix security bug in klock.

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix prereq entries.

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- New entries in kappfinder.
- Add a fndSession script for Kdm to find WindowManager installed.

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- We want to launch konsole by default.(Ready to Kde2.0 ;-))

* Wed May 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a kappfinder_root.
- Add custom icons for kappfinder.
- Add a custom kappfinder
- Add a gnome2kde perl scripts adapted from berolinux.
- Remove some duplicate entrie with other package.
- Add patch to have a nice Mandrake logos.

* Wed May 05 1999 Gal Duval
- added preconfigured desktop stuff
- modified the "source" entry in the .spec

* Mon Apr 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- install linux console font
- add konsole menu hotkeys

* Wed Apr 21 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.1.1pre1
- handle RPM_OPT_FLAGS
- Mandrake adaptions
- remove --without-gl

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- moved gdm patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added gdm session control file

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- added pam-console stuff to kde pam file

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed red hat logo.

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-merged from Duncan Haldane's stuff
